# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# C:\b\abs_5bgf0ggdj2\clone\recipe, last modified Tue May 23 13:03:35 2023
# ------------------------------------------------

package:
  name: prophet
  version: 1.1.3
source:
  sha256: f8d6d45a4391fdf740c7b74f79a72313f95a5f6e3417eaf1c68892b47b920646
  url: https://pypi.io/packages/source/p/prophet/prophet-1.1.3.tar.gz
build:
  binary_has_prefix_files:
    - C://b//abs_5bgf0ggdj2//croot//prophet_1684843428323//_h_env//Lib//site-packages/stan_model/prophet_model.bin
  number: '0'
  script: C:\\b\\abs_5bgf0ggdj2\\croot\\prophet_1684843428323\\_h_env\\python.exe
    -m pip install . --no-deps --no-build-isolation -vv
  script_env:
    - BOOST="${LIBRARY_INC}"
    - PROPHET_REPACKAGE_CMDSTAN=false
  string: py311h2b6f99b_0
requirements:
  build:
    - m2-coreutils 8.25 102
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - blas 1.0 mkl
    - bottleneck 1.3.5 py311h5bb9823_0
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.01.10 haa95532_0
    - cmdstan 2.31.0 h58f7c43_0
    - cmdstanpy 1.1.0 py311haa95532_0
    - colorama 0.4.6 py311haa95532_0
    - intel-openmp 2023.1.0 h59b6b97_46319
    - libboost 1.73.0 h6c2663c_12
    - libffi 3.4.4 hd77b12b_0
    - lz4-c 1.9.4 h2bbff1b_0
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - mkl 2023.1.0 h8bd8f75_46356
    - mkl-service 2.4.0 py311h2bbff1b_1
    - mkl_fft 1.3.6 py311hf62ec03_1
    - mkl_random 1.2.2 py311hf62ec03_1
    - msys2-conda-epoch 20160418 1
    - numexpr 2.8.4 py311h1fcbade_1
    - numpy 1.23.5 py311h8631471_1
    - numpy-base 1.23.5 py311h4cfcc17_1
    - openssl 1.1.1t h2bbff1b_0
    - pandas 1.5.3 py311heda8569_0
    - pip 23.0.1 py311haa95532_0
    - python 3.11.3 h966fe2a_0
    - python-dateutil 2.8.2 pyhd3eb1b0_0
    - pytz 2022.7 py311haa95532_0
    - setuptools 66.0.0 py311haa95532_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tbb-devel 2021.8.0 h59b6b97_0
    - tk 8.6.12 h2bbff1b_0
    - tqdm 4.65.0 py311h746a85d_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py311haa95532_0
    - xz 5.4.2 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
    - zstd 1.5.5 hd43e919_0
  run:
    - LunarCalendar >=0.0.9
    - cmdstan
    - cmdstanpy >=1.0.4
    - convertdate >=2.1.2
    - holidays >=0.14.2
    - importlib_resources
    - m2w64-gcc-libs
    - matplotlib-base >=2.0.0
    - numpy >=1.23.5,<2.0a0
    - pandas >=1.0.4
    - python >=3.11,<3.12.0a0
    - python-dateutil >=2.8.0
    - tbb >=2021.8.0
    - tqdm >=4.36.1
test:
  requires:
    - notebook
    - pip
    - plotly
    - pytest
about:
  description: 'Implements a procedure for forecasting time series data based on an

    additive model where non-linear trends are fit with yearly, weekly, and

    daily seasonality, plus holiday effects. It works best with time series

    that have strong seasonal effects and several seasons of historical data.

    Prophet is robust to missing data and shifts in the trend, and typically

    handles outliers well.

    '
  dev_url: https://github.com/facebook/prophet
  doc_url: https://facebook.github.io/prophet/docs/quick_start.html
  home: https://facebook.github.io/prophet/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Automatic Forecasting Procedure
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 5b7910bb-8985-4cc2-ad00-000557a1b89c
  recipe-maintainers:
    - bletham
    - maresb
  remote_url: git@github.com:AnacondaRecipes/prophet-feedstock.git
  sha: db176499894862dabeb05d8f9628149ed6a1fcca
  skip-lints:
    - missing_pip_check
